gnutls_x509_crl_verify(3)

NAME
gnutls_x509_crl_verify

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_verify(gnutls_x509_crl_t crl, const gnutls_x509_crt_t * CA_list, int CA_list_length, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_x509_crl_t crl
    is the crl to be verified

const gnutls_x509_crt_t * CA_list
    is a certificate list that is considered to be trusted one

int CA_list_length
    holds the number of CA certificates in CA_list

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

unsigned int * verify
    will hold the crl verification output.

DESCRIPTION
This function will try to verify the given crl and return its status. See gnutls_x509_crt_list_verify() for a detailed description of return values. Returns 0 on success and a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.